net.minecraft.entity.ai.attributes

## Class ModifiableAttributeInstance

- java.lang.Object
- - net.minecraft.entity.ai.attributes.ModifiableAttributeInstance

- All Implemented Interfaces:
    AttributeInstance

      public class ModifiableAttributeInstance
      extends Object
      implements AttributeInstance

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifiableAttributeInstance(BaseAttributeMap par1BaseAttributeMap, Attribute par2Attribute)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyModifier(AttributeModifier par1AttributeModifier)`
    `Collection` | `func_111122_c()`
    `Attribute` | `func_111123_a()`
    `Collection` | `func_111130_a(int par1)`
    `void` | `func_142049_d()`
    `double` | `getAttributeValue()`
    `double` | `getBaseValue()`
    `AttributeModifier` | `getModifier(UUID par1UUID)` Returns attribute modifier, if any, by the given UUID
    `void` | `removeModifier(AttributeModifier par1AttributeModifier)`
    `void` | `setAttribute(double par1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifiableAttributeInstance

          public ModifiableAttributeInstance(BaseAttributeMap par1BaseAttributeMap,
                                     Attribute par2Attribute)

  - ### Method Detail

    - #### func_111123_a

          public Attribute func_111123_a()

      Specified by:
        `func_111123_a` in interface `AttributeInstance`

    - #### getBaseValue

          public double getBaseValue()

      Specified by:
        `getBaseValue` in interface `AttributeInstance`

    - #### setAttribute

          public void setAttribute(double par1)

      Specified by:
        `setAttribute` in interface `AttributeInstance`

    - #### func_111130_a

          public Collection func_111130_a(int par1)

    - #### func_111122_c

          public Collection func_111122_c()

      Specified by:
        `func_111122_c` in interface `AttributeInstance`

    - #### getModifier

          public AttributeModifier getModifier(UUID par1UUID)

      Returns attribute modifier, if any, by the given UUID
      Specified by:
        `getModifier` in interface `AttributeInstance`

    - #### applyModifier

          public void applyModifier(AttributeModifier par1AttributeModifier)

      Specified by:
        `applyModifier` in interface `AttributeInstance`

    - #### removeModifier

          public void removeModifier(AttributeModifier par1AttributeModifier)

      Specified by:
        `removeModifier` in interface `AttributeInstance`

    - #### func_142049_d

          public void func_142049_d()

      Specified by:
        `func_142049_d` in interface `AttributeInstance`

    - #### getAttributeValue

          public double getAttributeValue()

      Specified by:
        `getAttributeValue` in interface `AttributeInstance`